function validateSICaptcha(captcha){
	var urlScript	= icaptchaURI+'plugins/system/icaptcha/captcha_systems/securImage2/verify_json.php';
	var jSonRequest = new Request.JSON({url:urlScript, onSuccess: function(response){
			icaptchaValidator	= document.id((captcha.get('id')+'-validation'));
			if(response.action == 'success'){
	    		captcha.removeClass('invalid');
	    		captcha.addClass('success');
	    		captcha.set('aria-invalid', 'false');
	    		icaptchaValidator.set('text',1);
	    		parentForm	= captcha.getParent('form');
	    		if(parentForm){
	    			var parentFormValidator = new Form.Validator.Inline(parentForm);
	    			parentFormValidator.validateField(captcha);  
	    		}
	    	}else{
	    		icaptchaValid = false;
	    		captcha.removeClass('success');
	    		captcha.addClass('invalid');
	    		captcha.set('aria-invalid', 'true');
	    		icaptchaValidator.set('text',0); 		
	    	}
	    }
		}).get(({'captcha_code':captcha.get('value')})); 
}

window.addEvent('domready', function(){
	updateCaptcha();
	Array.each($$('input.sicaptcha'), function(captcha, index){
		captcha.addEvent('blur',function(){
			validateSICaptcha(captcha);
		});
	});
	
	Form.Validator.add('sicaptcha', {
		errorMsg: Joomla.JText._('ICAPTCHA_WRONG_VALIDATION_CODE'),
		test: function(element){
			
			if(element.value.length < 2)	return false;
			icaptchaValidator	= document.id((element.id+'-validation'));
			if(icaptchaValidator.get('text') == 0){
				return false;
			}else{
				return true;
			}
		}
	});
});